API ReferenceUser
Get user matches
Retrieves the match history of a specific user by their username.
Path Parameters
username*string
Header Parameters
Response Body
application/json
curl -X GET "https://example.com/api/user/string/matches"{ "success": true, "data": [ { "id": 1, "createdAt": "2024-01-01T12:00:00Z", "status": "active", "whiteId": "123e4567-e89b-12d3-a456-426614174000", "blackId": "987e6543-e21b-34d5-a678-426614174000", "endReason": null, "fen": "rnbqkbnr/pppppppp/8/8/8/8/PPPPPPPP/RNBQKBNR w KQkq - 0 1", "pgn": "[Event \"Casual\"]\n[Site \"https://chessnow.angelcmh.com\"]\n[Date \"2024.01.01\"]\n[Round \"0\"]\n[White \"johndoe\"]\n[Black \"janedoe\"]\n[Result \"*\"]\n\n*", "finishedAt": null, "whitePlayer": { "id": "123e4567-e89b-12d3-a456-426614174000", "name": "John Doe", "username": "johndoe", "createdAt": "2024-01-01T12:00:00Z", "updatedAt": "2024-01-01T12:00:00Z", "botOwnerId": null, "rating": 1200, "rd": 350, "vol": 0.06 }, "blackPlayer": { "id": "987e6543-e21b-34d5-a678-426614174000", "name": "Jane Doe", "username": "janedoe", "createdAt": "2024-01-01T12:00:00Z", "updatedAt": "2024-01-01T12:00:00Z", "botOwnerId": null, "rating": 1200, "rd": 350, "vol": 0.06 }, "whiteRatingDiff": null, "blackRatingDiff": null, "activeDrawRequest": null, "whiteRequestedDraw": false, "blackRequestedDraw": false, "ranked": true } ]}